Summary
Get historical graded compliance reports.
Description
Get historical graded compliance reports for a task instance on a node.
Route
POST /configuration_manager/json_compliance_reports/grade/history
Roles
admin
apiwrite
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| treeId |
string |
yes |
- |
| version |
string |
yes |
- |
| nodePath |
string |
yes |
- |
| taskId |
string |
yes |
- |
| options |
object |
yes |
- |
Copied to Clipboard
{
"treeId": "5c35355dbebaa82eaf8113f0",
"version": "initial",
"nodePath": "base",
"taskId": "5f80bd24f8479975bb46054d",
"options": {
"weights": {
"error": -66442511.9518155,
"warning": -92833655.02935825,
"info": 25745952.424819544
},
"limit": 36527542
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"treeId": {
"title": "treeId",
"$ref": "common#/definitions/mongoObjectId"
},
"version": {
"title": "version",
"$ref": "goldenConfigData#/definitions/goldenConfigTreeVersionName"
},
"nodePath": {
"title": "nodePath",
"$ref": "goldenConfigData#/definitions/goldenConfigNodePath"
},
"taskId": {
"title": "taskId",
"type": "string",
"examples": [
"5f80bd24f8479975bb46054d"
]
},
"options": {
"title": "options",
"$ref": "goldenConfigData#/definitions/gradeDeviceComplianceHistoryOptions"
}
},
"required": [
"treeId",
"version",
"nodePath",
"taskId",
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| graded_compliance_history |
array |
- |
Copied to Clipboard
[
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 6462045,
"warning": 81478123,
"info": 99460403,
"pass": 64509458,
"score": 87.51111904818025,
"grade": "pass"
},
{
"id": "5c35355dbebaa82eaf8113f0",
"nodePath": "base/US East/Atlanta",
"deviceName": "xr9kv-atl",
"timestamp": "2019-04-12T14:42:47.958Z",
"error": 48017396,
"warning": 55514734,
"info": 48592252,
"pass": 52089756,
"score": 7.284330371708281,
"grade": "review"
}
]